%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pythonname audio_convert_mod
Name:              audio-convert-mod
Version:           3.45.2
Release:           2%{?dist}
BuildArch:         noarch
Summary:           A simple audio file converter supporting many formats
Group:             Applications/Multimedia
License:           GPLv2+
URL:               http://www.diffingo.com/content/view/13/47/lang,en/
Source0:           http://www.diffingo.com/downloads/audio-convert-mod/audio-convert-mod-%{version}.tar.gz
Patch0:            acm-runapp.py-usage.patch
BuildRoot:         %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     desktop-file-utils
BuildRequires:     gettext
BuildRequires:     python >= 2.4
Requires:          python >= 2.4
Requires:          pygtk2, pygtk2-libglade
Requires:          flac, vorbis-tools, wavpack

%description
%{name} is a simple audio file converter supporting various formats
via external binaries. It facilitates the batch conversion of audio files
from one format to another by access from the menu or by the user script where
at a right-click files can be converted at once. It also supports file
tags/metadata where applicable.


%prep
%setup -q -n %{name}-%{version}

pushd src
%patch0 -p0 -b .patch0
popd

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora\
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

rm -f ${RPM_BUILD_ROOT}%{_sbindir}/%{name}-uninstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{python_sitelib}/%{pythonname}

%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/applications/fedora-*.desktop
%{python_sitelib}/%{pythonname}/*

%doc AUTHORS README COPYING CHANGELOG TODO

%changelog
* Sat Sep 8 2007 Stewart Adam <s.adam@diffingo.com> 3.45.2-2
- Fix traceback upon calling --help

* Wed Sep 5 2007 Stewart Adam <s.adam@diffingo.com> 3.45.2-1
- Update to 3.45.2 (see CHANGELOG file for details on version changes)
- Fixes RH#277871

* Fri Aug 24 2007 Stewart Adam <s.adam@diffingo.com> 3.45.1-1
- Update to 3.45.1 (see CHANGELOG file for details on version changes)
- Remove uninstall script from package
- Update License tag per guideline changes
- Use sitelib, not sitearch

* Fri Aug 3 2007 Stewart Adam <s.adam@diffingo.com> 3.45.0-1
- Update to 3.45.0 (see CHANGELOG file for details on version changes)

* Tue Jul 31 2007 Stewart Adam <s.adam@diffingo.com> 3.45.0-0.1
- Initial RPM release, 3.45.0 beta

